/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef CLONE_PRINT_H
#define CLONE_PRINT_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/pomTclservClientEncode.h"

#include "server/tclservClient/genBasicTclservClientEncode.h"


#include "server/clonePosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_CLONE_SPEECH_POSTER_STR ( buf_t buf, struct CLONE_SPEECH_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_CLONE_STR ( buf_t buf, struct CLONE_STR *x, int nDim, int *dims);
void buf_add_struct_CLONE_STEREOTYPE ( buf_t buf, struct CLONE_STEREOTYPE *x, int nDim, int *dims);
void buf_add_enum_CLONE_STEREOTYPE_TYPE ( buf_t buf, enum CLONE_STEREOTYPE_TYPE *x, int nDim, int *dims);
void buf_add_struct_CLONE_SPEECH_OBJ ( buf_t buf, struct CLONE_SPEECH_OBJ *x, int nDim, int *dims);
void buf_add_struct_CLONE_TRACK ( buf_t buf, struct CLONE_TRACK *x, int nDim, int *dims);
void buf_add_struct_CLONE_LOOK_AT_POINT ( buf_t buf, struct CLONE_LOOK_AT_POINT *x, int nDim, int *dims);
void buf_add_struct_CLONE_LOOK_AT ( buf_t buf, struct CLONE_LOOK_AT *x, int nDim, int *dims);
void buf_add_enum_CLONE_MOTION ( buf_t buf, enum CLONE_MOTION *x, int nDim, int *dims);
void buf_add_enum_CLONE_FRAME ( buf_t buf, enum CLONE_FRAME *x, int nDim, int *dims);
void buf_add_struct_CLONE_SENTENCE ( buf_t buf, struct CLONE_SENTENCE *x, int nDim, int *dims);
void buf_add_struct_CLONE_SPEECH ( buf_t buf, struct CLONE_SPEECH *x, int nDim, int *dims);
void buf_add_struct_CLONE_PLAY_FILE_PARAMS ( buf_t buf, struct CLONE_PLAY_FILE_PARAMS *x, int nDim, int *dims);
void buf_add_struct_CLONE_WINDOW_SIZES ( buf_t buf, struct CLONE_WINDOW_SIZES *x, int nDim, int *dims);
void buf_add_struct_CLONE_WINDOW_PARAMS ( buf_t buf, struct CLONE_WINDOW_PARAMS *x, int nDim, int *dims);
void buf_add_struct_CLONE_INIT ( buf_t buf, struct CLONE_INIT *x, int nDim, int *dims);
void buf_add_struct_CLONE_POS_CORR ( buf_t buf, struct CLONE_POS_CORR *x, int nDim, int *dims);
void buf_add_struct_CLONE_POS ( buf_t buf, struct CLONE_POS *x, int nDim, int *dims);
void buf_add_enum_CLONE_MODEL ( buf_t buf, enum CLONE_MODEL *x, int nDim, int *dims);
void buf_add_enum_CLONE_STATE ( buf_t buf, enum CLONE_STATE *x, int nDim, int *dims);
void buf_add_enum_CLONE_BOOL ( buf_t buf, enum CLONE_BOOL *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_CLONE_BOOL ( buf_t buf, CLONE_BOOL *x, int nDim, int *dims);
void buf_add_CLONE_STATE ( buf_t buf, CLONE_STATE *x, int nDim, int *dims);
void buf_add_CLONE_MODEL ( buf_t buf, CLONE_MODEL *x, int nDim, int *dims);
void buf_add_CLONE_POS ( buf_t buf, CLONE_POS *x, int nDim, int *dims);
void buf_add_CLONE_POS_CORR ( buf_t buf, CLONE_POS_CORR *x, int nDim, int *dims);
void buf_add_CLONE_INIT ( buf_t buf, CLONE_INIT *x, int nDim, int *dims);
void buf_add_CLONE_WINDOW_PARAMS ( buf_t buf, CLONE_WINDOW_PARAMS *x, int nDim, int *dims);
void buf_add_CLONE_WINDOW_SIZES ( buf_t buf, CLONE_WINDOW_SIZES *x, int nDim, int *dims);
void buf_add_CLONE_PLAY_FILE_PARAMS ( buf_t buf, CLONE_PLAY_FILE_PARAMS *x, int nDim, int *dims);
void buf_add_CLONE_SPEECH ( buf_t buf, CLONE_SPEECH *x, int nDim, int *dims);
void buf_add_CLONE_SENTENCE ( buf_t buf, CLONE_SENTENCE *x, int nDim, int *dims);
void buf_add_CLONE_FRAME ( buf_t buf, CLONE_FRAME *x, int nDim, int *dims);
void buf_add_CLONE_MOTION ( buf_t buf, CLONE_MOTION *x, int nDim, int *dims);
void buf_add_CLONE_LOOK_AT ( buf_t buf, CLONE_LOOK_AT *x, int nDim, int *dims);
void buf_add_CLONE_LOOK_AT_POINT ( buf_t buf, CLONE_LOOK_AT_POINT *x, int nDim, int *dims);
void buf_add_CLONE_TRACK ( buf_t buf, CLONE_TRACK *x, int nDim, int *dims);
void buf_add_CLONE_SPEECH_OBJ ( buf_t buf, CLONE_SPEECH_OBJ *x, int nDim, int *dims);
void buf_add_CLONE_STEREOTYPE_TYPE ( buf_t buf, CLONE_STEREOTYPE_TYPE *x, int nDim, int *dims);
void buf_add_CLONE_STEREOTYPE ( buf_t buf, CLONE_STEREOTYPE *x, int nDim, int *dims);
void buf_add_CLONE_STR ( buf_t buf, CLONE_STR *x, int nDim, int *dims);
void buf_add_CLONE_SPEECH_POSTER_STR ( buf_t buf, CLONE_SPEECH_POSTER_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* CLONE_TCLSERV_CLIENT_ENCODE_H */

